Kan ikke installere en Exchange Server 2010 eller Exchange Server 2013 oppdateringen samleoppdatering eller oppdateringspakke når policyen for kjøring et Windows PowerShell-skriptet som er definert i gruppepolicy

VIKTIG: Denne artikkelen ble oversatt med maskinoversettelsesprogramvare fra Microsoft og muligens redigert av Microsoft Community via CTF-teknologi i stedet for av en oversetter. Microsoft tilbyr både menneskelig oversatte og maskinoversatte/Community-redigerte artikler, slik at du får tilgang til alle artiklene i vår Knowledge Base på ditt eget språk. En maskinoversatt eller Community-redigert artikkel er imidlertid ikke alltid perfekt. Den kan inneholde feil i vokabular, syntaks eller grammatikk, mye likt en fremmedspråklig som forsøker å snakke språket ditt. Microsoft har ikke ansvar for unøyaktige opplysninger, feil eller skade forårsaket av feilaktig oversettelse av innholdet eller kundenes bruk av informasjonen. Microsoft oppdaterer jevnlig maskinoversettelsesprogramvaren og -verktøyene for å forbedre redigering av maskinoversatte tekster.

Den engelske versjonen av denne artikkelen er den følgende: 2810617
Symptom
Tenk deg følgende:

  • Du definerer policyen for kjøring et Windows PowerShell-skriptet ved å bruke et gruppepolicyobjekt, eller du kan bruke en lokal gruppepolicy.
  • Du prøver å installere en Microsoft Exchange Server 2010 orMicrosoft Exchange Server 2013 oppdateringen samleoppdatering eller oppdateringspakke.
  • Installasjonsprosessen mislykkes etter at fjerne Exchange-filer-trinn er fullført.
I dette scenariet fungerer Exchange Serverdoes ikke på den berørte serveren. I tillegg kan du starte installasjonsprosessen.

Årsak
Dette problemet oppstår fordi den nødvendige Windows Management Instrumentation (WMI)-tjenesten stopper under installasjonen. WMI-tjenesten er nødvendig til Active Directory Domain Services (AD DS) for spørringen til å bekrefte at Windows PowerShell skript-policyen for kjøring som må kjøre som en del av oppsettet.
Løsning
Hvis du vil unngå dette problemet, følger du denne fremgangsmåten:
  • Deaktiver kjøring av gruppepolicy ved hjelp av Group Policy Management Console (Gpmc.msc) eller redigeringsprogram for lokal gruppepolicy (Gpedit.msc). Gruppepolicyobjekter for kjøring av gruppepolicy, må være satt tilUndefined.
  • Installere Exchange Server 2010 eller Exchange Server 2013 oppdateringen samleoppdatering eller service pack.
  • Aktivere den tidligere definerte Windows PowerShell skript-policyen for kjøring i Group Policy Management Console eller redigeringsprogram for lokal gruppepolicy.

    Obs!Problemet som er beskrevet i delen "Symptomer" er løst i Exchange Server 2010 SP3. Policyer for Windows PowerShell skript bekreftes på riktig måte i Exchange Server 2010 SP3 og senere versjoner. Du har derfor ikke å deaktivere kjøring av skriptet policyer når du installerer en oppdatering samleoppdatering eller oppdateringspakke.
Hvis du vil ha mer informasjon om Exchange Server 2010 SP3, kan du klikke følgende artikkelnummer for å vise artikkelen i Microsoft Knowledge Base:
2808208 Beskrivelse av Exchange Server 2010 Service Pack 3

Status
Microsoft har bekreftet at dette er et problem i Microsoft-produktene som er oppført i delen "Gjelder for".
Mer informasjon
Hvis du vil kontrollere policyer i før du begynner installasjonsprosessen, kjører du følgende Windows PowerShell-cmdleten:
Get-ExecutionPolicy-liste

Utdataene skal ligne på følgende:
Scope ExecutionPolicy ----- --------------- MachinePolicy UndefinedUserPolicy Undefined Process Undefined CurrentUser Undefined LocalMachine Undefined
Hvis noen av kjøring av policyene er satt til en annen status enn udefinert, se fremgangsmåten i delen "Løsning" før du installerer en Exchange Server update rollup eller oppdateringspakke.

Som kan oppstå når du runa oppsett og konfrontasjonen feil, klikker du følgende artikkelnummer for å vise artikkelen i Microsoft Knowledge Base hvis du vil ha informasjon om et problem:
2668686 Feilmelding når du prøver å installere Exchange Server 2010 SP2: "AuthorizationManager-kontroll mislyktes"
Hvis du vil ha informasjon om et problem som kan oppstå når du prøver å installere Samleoppdatering 1 for Microsoft Exchange Server 2010, kan du gå til følgende artikkel i Microsoft Knowledge Base:
981474 Du får feil 1603 når du prøver å installere Exchange Server 2010 RU1
Hvis du vil ha informasjon om et problem som kan oppstå når du prøver å installere en samleoppdatering for Microsoft Exchange Server 2010, kan du gå til følgende artikkel i Microsoft Knowledge Base:
2467565 Du kan ikke installere en samleoppdatering for Exchange Server 2010 med en distribuert GPO som definerer en PowerShell-policyen for kjøring for at serveren skal oppdateres

Advarsel: Denne artikkelen er autooversatt

Egenskaper

Artikkel-ID: 2810617 – Forrige gjennomgang: 02/27/2014 01:22:00 – Revisjon: 3.0

Microsoft Exchange Server 2013 Enterprise, Microsoft Exchange Server 2013 Standard, Microsoft Exchange Server 2010 Enterprise, Microsoft Exchange Server 2010 Standard

  • kbqfe kbfix kbsurveynew kbexpertiseinter kbmt KB2810617 KbMtno
Tilbakemelding